XML11DTDDVFactoryImpl (Xerces2 Implementation)
Date: 2018-10-16

org.apache.xerces.impl.dv.dtd

## Class XML11DTDDVFactoryImpl

- java.lang.Object
- - org.apache.xerces.impl.dv.DTDDVFactory
  - - org.apache.xerces.impl.dv.dtd.DTDDVFactoryImpl
    - - org.apache.xerces.impl.dv.dtd.XML11DTDDVFactoryImpl

-     public class XML11DTDDVFactoryImpl
      extends DTDDVFactoryImpl

  the factory to create/return built-in XML 1.1 DVs and create user-defined DVs
  Version:
    $Id: XML11DTDDVFactoryImpl.java 704573 2008-10-14 16:11:22Z mrglavas $
  Author:
    Neil Graham, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XML11DTDDVFactoryImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatatypeValidator` | `getBuiltInDV(java.lang.String name)` return a dtd type of the given name This will call the super class if and only if it does not recognize the passed-in name.
    `java.util.Hashtable` | `getBuiltInTypes()` get all built-in DVs, which are stored in a hashtable keyed by the name New XML 1.1 datatypes are inserted.

    - ### Methods inherited from class org.apache.xerces.impl.dv.DTDDVFactory

      `getInstance, getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XML11DTDDVFactoryImpl

          public XML11DTDDVFactoryImpl()

  - ### Method Detail

    - #### getBuiltInDV

          public DatatypeValidator getBuiltInDV(java.lang.String name)

      return a dtd type of the given name This will call the super class if and only if it does not recognize the passed-in name.
      Overrides:
        `getBuiltInDV` in class `DTDDVFactoryImpl`
      Parameters:
        `name` - the name of the datatype
      Returns:
        the datatype validator of the given name

    - #### getBuiltInTypes

          public java.util.Hashtable getBuiltInTypes()

      get all built-in DVs, which are stored in a hashtable keyed by the name New XML 1.1 datatypes are inserted.
      Overrides:
        `getBuiltInTypes` in class `DTDDVFactoryImpl`
      Returns:
        a hashtable which contains all datatypes

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.